> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/benchmarking/ads-txt

> Returns Ads.txt benchmarking data for relationship weighting and exchanges



## OpenAPI

````yaml /openapi.json get /v1/report/insight/benchmarking/ads-txt
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/benchmarking/ads-txt:
    get:
      tags:
        - Reporting/Insights Hub/Benchmarking
        - public
      summary: /report/insight/benchmarking/ads-txt
      description: >-
        Returns Ads.txt benchmarking data for relationship weighting and
        exchanges
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: true
          schema:
            deprecated: false
            type: integer
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
        - name: exclude_pubs
          in: query
          description: >-
            Excludes publisher data from the Network and Cohort for users
            organisation
          required: false
          schema:
            type: string
            enum:
              - 'yes'
              - 'no'
            default: 'yes'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          total_exchanges:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          unique_exchanges:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          direct:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          reseller:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                        required:
                          - total_exchanges
                          - unique_exchanges
                          - direct
                          - reseller
                    required:
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  data:
                    total_exchanges:
                      publisher: 548
                      cohort: 351
                      network: 851
                    unique_exchanges:
                      publisher: 134
                      cohort: 72
                      network: 114
                    direct:
                      publisher: 54
                      cohort: 66
                      network: 190
                    reseller:
                      publisher: 493
                      cohort: 285
                      network: 660
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````